# pandas.core.groupby.GroupBy.backfill

GroupBy.backfill(limit=None)

  Backward fill the values.

  Parameters
    limit int, optional

      Limit of how many values to fill.

  Returns
    Series or DataFrame

      Object with missing values filled.

  See also

  `Series.backfill`

    Backward fill the missing values in the dataset.

  `DataFrame.backfill`

    Backward fill the missing values in the dataset.

  `Series.fillna`

    Fill NaN values of a Series.

  `DataFrame.fillna`

    Fill NaN values of a DataFrame.